package com.yonge.cooleshow.biz.dal.entity;

import com.yonge.cooleshow.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 视频课购买记录表
 * @author yzp
 * @date 2022-03-25 23:46:29
 * @version v1.0
 **/
@ApiModel(value = "video_lesson_purchase_record-视频课购买记录表")
public class VideoLessonPurchaseRecord extends BaseEntity {

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    private Long id;  //主键ID

    @TableField("video_lesson_group_id_")
    @ApiModelProperty(value = "视频课组ID")
    private Long videoLessonGroupId;  //视频课组ID

    @TableField("student_id_")
    @ApiModelProperty(value = "学生ID")
    private Long studentId;  //学生ID

    @TableField("purchase_time_")
    @ApiModelProperty(value = "购买时间")
    private java.util.Date purchaseTime;

	@TableField("original_price_")
	@ApiModelProperty(value = "原价")
	private BigDecimal originalPrice;

	@TableField("expect_price_")
	@ApiModelProperty(value = "预计价格")
	private BigDecimal expectPrice;

    @TableField("pay_money_")
    @ApiModelProperty(value = "支付金额")
    private BigDecimal payMoney;

    @TableField("order_no_")
    @ApiModelProperty(value = "订单流水号")
    private String orderNo;

    @TableField("order_status_")
    @ApiModelProperty(value = "订单状态(1:已完成;0:取消/支付中)")
    private Integer orderStatus;

	public BigDecimal getOriginalPrice() {
		return originalPrice;
	}

	public void setOriginalPrice(BigDecimal originalPrice) {
		this.originalPrice = originalPrice;
	}

	public BigDecimal getExpectPrice() {
		return expectPrice;
	}

	public void setExpectPrice(BigDecimal expectPrice) {
		this.expectPrice = expectPrice;
	}

	public VideoLessonPurchaseRecord setId(Long id) {
	    this.id = id;
	    return this;
	}

	public Long getId() {
	    return this.id;
	}

	public VideoLessonPurchaseRecord setVideoLessonGroupId(Long videoLessonGroupId) {
	    this.videoLessonGroupId = videoLessonGroupId;
	    return this;
	}

	public Long getVideoLessonGroupId() {
	    return this.videoLessonGroupId;
	}

	public VideoLessonPurchaseRecord setStudentId(Long studentId) {
	    this.studentId = studentId;
	    return this;
	}

	public Long getStudentId() {
	    return this.studentId;
	}

	public VideoLessonPurchaseRecord setPurchaseTime(java.util.Date purchaseTime) {
	    this.purchaseTime = purchaseTime;
	    return this;
	}

	public java.util.Date getPurchaseTime() {
	    return this.purchaseTime;
	}

	public VideoLessonPurchaseRecord setPayMoney(java.math.BigDecimal payMoney) {
	    this.payMoney = payMoney;
	    return this;
	}

	public java.math.BigDecimal getPayMoney() {
	    return this.payMoney;
	}

	public VideoLessonPurchaseRecord setOrderNo(String orderNo) {
	    this.orderNo = orderNo;
	    return this;
	}

	public String getOrderNo() {
	    return this.orderNo;
	}

	public VideoLessonPurchaseRecord setOrderStatus(Integer orderStatus) {
	    this.orderStatus = orderStatus;
	    return this;
	}

	public Integer getOrderStatus() {
	    return this.orderStatus;
	}

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }
}